```
  ██████  ██ ▄█▀▒███████▒▓█████▄   ██████ ▓█████▄      ▓█████▄  █    ██  ██▓ ██▓    ▓█████▄ 
▒██    ▒  ██▄█▒ ▒ ▒ ▒ ▄▀░▒██▒ ▄██▒██    ▒ ▒██▀ ██▌     ▒██▒ ▄██ ██  ▓██▒▓██▒▓██▒    ▒██▀ ██▌
░ ▓██▄   ▓███▄░ ░ ▒ ▄▀▒░ ▒██░█▀  ░ ▓██▄   ░██   █▌ ▓▒█ ▒██░█▀  ▓██  ▒██░▒██▒▒██░    ░██   █▌
  ▒   ██▒▓██ █▄   ▄▀▒   ░░▓█  ▀█▓  ▒   ██▒░▓█▄   ▌  ░▒ ░▓█  ▀█ ▓▓█  ░██ ░██ ▒██░    ░▓█▄   ▌
▒██████▒▒▒██▒ █▄▒███████▒░▓█████▀▒██████▒▒░▒████▓      ░▓█████▀▒▒█████▓ ░██ ░██████▒░▒████▓ 
▒ ▒▓▒ ▒ ░▒ ▒▒ ▓▒░▒▒ ▓░▒░▒ ░▒   ░ ▒ ▒▓▒ ▒ ░ ▒▒▓  ▒   ░   ░▒   ░ ░▒▓▒ ▒ ▒ ░▓  ░ ▒░▓  ░ ▒▒▓  ▒ 
░ ░▒  ░ ░  ░▒ ▒░  ▒ ▒ ░ ▒ ░ https://git.sk4.nz/sk4nz/skzbsd-build ░ ░ ░  ▒    ░ ▒    ░ ▒  ▒ 
      ░  ░  ░     ░ ░          ░       ░     ░               ░    ░      ░      ░  ░   ░    
                ░                          ░                                         ░      
```
*Samuel 'sk4nz' AUBERTIN*

**skzbsd-build** is an automated [OpenBSD](https://www.openbsd.org) *[release](https://man.openbsd.org/release)* builder for the *amd64* platform.

It automatically compiles an arbitrary OpenBSD `src` tree leveraging [skz-opack](https://git.sk4.nz/sk4nz/skz-opack), defined by :
- `RELEASE_PATH`: destination directory for the release 
- `SRC_REPO`: OpenBSD `src` git tree local directory
- `BRANCH`: git branch or commit hash to checkout in `SRC_REPO`. Defaults to 'master'
- `TARGET`: OpenBSD release config file to use. Defaults to 'GENERIC'

To see all the options used, see the [Makefile](Makefile).

## License

**skzbsd-build** is distributed under the [OpenBSD License](https://www.openbsd.org/policy.html). See the [LICENSE](LICENSE) file for more details.

